Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class GeneralServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.beasys.commerce.ebusiness.payment.PaymentException
                      com.beasys.commerce.ebusiness.payment.GeneralServiceException

All Implemented Interfaces:
  MessageCatalogException, Serializable

public class GeneralServiceException
extends PaymentException

Represents the condition when there is a service provider error. In this situation, the transaction gets logged by the system and the user is notified

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`GeneralServiceException(String namespace, String messageKey)` Create a GeneralServiceException with namespace and messageKey.
`GeneralServiceException(String namespace, String messageKey, TransactionResponse response)` Create a GeneralServiceException with the response object.

Methods inherited from class com.beasys.commerce.ebusiness.payment.PaymentException
`getResponse`

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneralServiceException

    public GeneralServiceException(String namespace,
                                   String messageKey)

  Create a GeneralServiceException with namespace and messageKey.

### GeneralServiceException

    public GeneralServiceException(String namespace,
                                   String messageKey,
                                   TransactionResponse response)

  Create a GeneralServiceException with the response object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved